# Actions ## Create an Action Item - [POST /add/AI](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/actions/post-add-ai.md): Adds an Action Item. ## Delete an Action Item - [POST /delete/AI](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/actions/post-delete-ai.md): Deletes an Action Item. ## List Action Items - [POST /fetch/AI](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/actions/post-fetch-ai.md): Retrieves Action Items by filter criteria. To retrieve a specific action, filter the action by id as follows: json { "data":{ "fieldName":"id", "operator":"equals", "value":"41", "_constructor":"AdvancedCriteria" } } ## Update an Action Item - [POST /update/AI](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/actions/post-update-ai.md): Updates an existing Action Item. ## Execute a Logic - [POST /actionitem.execute/{TypeCode}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/actions/post-actionitem.execute-typecode.md): Executes a logic for the specified Action Item and returns the result.